summaryrefslogtreecommitdiffstats
path: root/system/luckybackup/luckybackup.SlackBuild
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:49:39 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:49:39 -0400
commitd41ddc95edb401b055fa1ac6a675428a452f3260 (patch)
treeabfedd1fe29d83b7cc0404964ae5d4cc7bfdcbf3 /system/luckybackup/luckybackup.SlackBuild
parentf02c8d8e198f49ad776cd0d2dbb80a5efa9bf7d3 (diff)
downloadslackbuilds-d41ddc95edb401b055fa1ac6a675428a452f3260.tar.gz
slackbuilds-d41ddc95edb401b055fa1ac6a675428a452f3260.tar.xz
system/luckybackup: Fixed for bash4.
Diffstat (limited to 'system/luckybackup/luckybackup.SlackBuild')
-rw-r--r--system/luckybackup/luckybackup.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/luckybackup/luckybackup.SlackBuild b/system/luckybackup/luckybackup.SlackBuild
index d462cef028..ff734468f4 100644
--- a/system/luckybackup/luckybackup.SlackBuild
+++ b/system/luckybackup/luckybackup.SlackBuild
@@ -73,12 +73,8 @@ make install INSTALL_ROOT=$PKG
# We don't need this
rm -rf $PKG/usr/share/menu
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;